$gutter: 3.75rem;

.o-teaser-columns {
  @include max-width;

  margin-top: rhythm(2.68);
}

.o-teaser-columns__inner {
  padding-right: $gutter * 2;
  padding-left: $gutter * 2;

  // 901 - 1200
  @include md-only {
    padding-right: $gutter;
    padding-left: $gutter;
  }

  // < 900
  @include sm-max {
    padding-right: $gutter / 2;
    padding-left: $gutter / 2;
  }
}

.o-teaser-columns__inner > h2 {
  // 601 +
  @include sm-min {
    text-align: center;
  }
}

.o-teaser-columns__row {
  display: flex;
  flex-wrap: nowrap;

  // < 1200
  @include md-max {
    flex-direction: column;
  }
}

.o-teaser-columns__intro {
  width: 40%;

  // < 1200
  @include md-max {
    width: 100%;
  }

  &:not(.o-teaser-columns__intro--has-headline) {
    padding-top: $gutter / 2;
  }
}

.o-teaser-columns__introtext {
  width: 80%;

  // < 900
  @include sm-max {
    width: 100%;
    margin-bottom: $gutter / 2;
  }
}

.o-teaser-columns__content {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-between;
  width: 60%;
  padding-top: $gutter / 2;
  padding-left: $gutter;

  // < 1200
  @include md-max {
    width: 100%;
    padding-top: $gutter / 2;
    padding-left: 0;
  }

  // < 600
  @include xs-max {
    flex-direction: column;
  }
}

.o-teaser-columns__text {
  width: calc(100% * (1 / 2) - #{$gutter / 2});

  // 901 - 1200
  @include md-only {
    width: calc(100% * (1 / 2) - #{$gutter / 2});
  }

  // < 600
  @include xs-max {
    width: 100%;
  }
}

.o-teaser-columns__introtext p:last-child,
.o-teaser-columns__text p:last-child {
  margin-bottom: 0;
}

.o-teaser-columns__btn {
  padding-top: $gutter;
  text-align: right;
}
